Bug 166316 - up2date always uses all yum repositories even when told not to
up2date always uses all yum repositories even when told not to
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-18 22:22 EDT by Pedro Fernandes Macedo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:27:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selected repositories (36.90 KB, image/png)
2005-08-18 22:24 EDT, Pedro Fernandes Macedo
no flags Details
results listed for the selected repositories (45.16 KB, image/png)
2005-08-18 22:25 EDT, Pedro Fernandes Macedo
no flags Details

  None (edit)
Description Pedro Fernandes Macedo 2005-08-18 22:22:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
After disabling a yum repository on the "channels" selection window, up2date checks all repositories (including the ones disabled) for new packages, giving results for all of them.

Version-Release number of selected component (if applicable):
up2date-4.4.23-4

How reproducible:
Always

Steps to Reproduce:
1. run up2date
2. disable one repository that has new files
3. click on forward
4. check the repositories that have new files


Actual Results:  all repositories that have new files are shown

Expected Results:  only the selected repositories should be shown

Additional info:
Comment 1 Pedro Fernandes Macedo 2005-08-18 22:24:04 EDT
Created attachment 117895 [details]
selected repositories
Comment 2 Pedro Fernandes Macedo 2005-08-18 22:25:48 EDT
Created attachment 117896 [details]
results listed for the selected repositories

(note: the yum version shown is just yum-2.3.2-7 from FC rebuilt with the
Release field from the spec changed to 5 , so I could create a simple test
case)
Comment 3 John Thacker 2006-10-29 15:26:06 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 4 John Thacker 2006-11-05 11:27:08 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.